function love.load()

tile = love.graphics.newImage('tile.png')
wall = love.graphics.newImage('wall.png')
--tile:setFilter('nearest','nearest')
--wall:setFilter('nearest','nearest')
angle = math.pi/4
acc = 0
love.graphics.setBackgroundColor(100,100,255)
end

function love.update(dt)
	if love.keyboard.isDown('left') then
		acc = acc-3*dt
	end
	if love.keyboard.isDown('right') then
		acc = acc+3*dt
	end
	angle = (angle + acc*dt)%(2*math.pi)
end

function love.draw()
	sin = math.sin(angle)
	cos = math.cos(angle)

	love.graphics.push()
	love.graphics.scale(1,0.5)
	love.graphics.translate(0,200)
	love.graphics.draw(tile,400+sin*91,348-cos*91,angle,1,1,45.5,45.5)
	love.graphics.draw(tile,400-sin*91,348+cos*91,angle,1,1,45.5,45.5)
	love.graphics.draw(tile,400+cos*91,348+sin*91,angle,1,1,45.5,45.5)
	love.graphics.draw(tile,400-cos*91,348-sin*91,angle,1,1,45.5,45.5)
	love.graphics.draw(tile,400+(sin+cos)*91,348+(sin-cos)*91,angle,1,1,45.5,45.5)
	love.graphics.draw(tile,400+(sin-cos)*91,348-(cos+sin)*91,angle,1,1,45.5,45.5)
	love.graphics.draw(tile,400+(-sin+cos)*91,348+(sin+cos)*91,angle,1,1,45.5,45.5)
	love.graphics.draw(tile,400+(-sin-cos)*91,348-(-cos+sin)*91,angle,1,1,45.5,45.5)
	love.graphics.pop()

	if angle >= math.pi/2 and angle <= 3*math.pi/2 then
		love.graphics.draw(wall,400+(sin+cos)*45.5,250+0.5*(sin-cos)*45.5,0,cos,1,91,0,0,0.5*sin)
	end

	if angle >= 0 and angle <= math.pi then
		love.graphics.draw(wall,400+(sin+cos)*45.5,250+0.5*(sin-cos)*45.5,0,sin,1,91,0,0,-0.5*cos)
	end

	if angle <= math.pi/2 or angle >= 3*math.pi/2 then
		love.graphics.draw(wall,400-(sin+cos)*45.5,250-0.5*(sin-cos)*45.5,0,cos,1,0,0,0,0.5*sin)
	end

	if angle >= math.pi then
		love.graphics.draw(wall,400-(sin+cos)*45.5,250-0.5*(sin-cos)*45.5,0,sin,1,0,0,0,-0.5*cos)
	end

	love.graphics.push()
	love.graphics.scale(1,0.5)
	love.graphics.translate(0,200)
	love.graphics.draw(tile,400,300,angle,1,1,45.5,45.5)
	love.graphics.pop()

	love.graphics.line (50-10*sin,50+5*cos,50+10*sin,50-5*cos)
	love.graphics.line (50+10*sin,50-5*cos,50+6*sin-4*cos,50-3*cos-2*sin)
	love.graphics.line (50+10*sin,50-5*cos,50+6*sin+4*cos,50-3*cos+2*sin)
end

function love.keypressed(key)   
	if key == "escape" then
		love.event.push("quit")   
	end
	if key == " " then
		acc = 0
	end
end
